com.amazonaws.services.codedeploy.model

## Enum LifecycleEventStatus

- java.lang.Object
- - java.lang.Enum<LifecycleEventStatus>
  - - com.amazonaws.services.codedeploy.model.LifecycleEventStatus

All Implemented Interfaces:
  Serializable, Comparable<LifecycleEventStatus>

    public enum LifecycleEventStatus
    extends Enum<LifecycleEventStatus>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Failed`
`InProgress`
`Pending`
`Skipped`
`Succeeded`
`Unknown`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LifecycleEventStatus` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static LifecycleEventStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LifecycleEventStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Pending

    public static final LifecycleEventStatus Pending

#### InProgress

    public static final LifecycleEventStatus InProgress

#### Succeeded

    public static final LifecycleEventStatus Succeeded

#### Failed

    public static final LifecycleEventStatus Failed

#### Skipped

    public static final LifecycleEventStatus Skipped

#### Unknown

    public static final LifecycleEventStatus Unknown

### Method Detail

#### values

    public static LifecycleEventStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LifecycleEventStatus c : LifecycleEventStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LifecycleEventStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<LifecycleEventStatus>`

#### fromValue

    public static LifecycleEventStatus fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  LifecycleEventStatus corresponding to the value